Package org.eclipse.net4j.util.io

# Class IORuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.io.IORuntimeException

All Implemented Interfaces:
  `Serializable`

public class IORuntimeException extends RuntimeException

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IORuntimeException()`
`IORuntimeException(String message)`
`IORuntimeException(String message, Throwable cause)`
`IORuntimeException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`void`
`rethrow()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IORuntimeException

public IORuntimeException()

### IORuntimeException

public IORuntimeException(String message)

### IORuntimeException

public IORuntimeException(Throwable cause)

### IORuntimeException

public IORuntimeException(String message, Throwable cause)

## Method Details

### rethrow

public void rethrow() throws IOException

Throws:
  `IOException`
Since:
  3.16